complexType "AbstractEvent"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 7 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | eventIdentifier*
</...>

Content Model Elements (1):

  eventIdentifier (defined in AbstractEvent complexType)

Known Direct Subtypes (7):

  AdditionalEvent, ChangeEvent, OptionExercise, OptionExpiry, TradeAmendmentContent, TradeChangeBase, TradeNovationContent

Known Indirect Subtypes (2):

  IndexChange, TradeNotionalChange

All Direct / Indirect Based Elements (9):

  additionalEvent, amendment, changeEvent, increase, indexChange, | novation, optionExercise, optionExpiry (defined in Events.model group), termination

Known Usage Locations

- In derivations of other global types (7):

  AdditionalEvent (as extension base), ChangeEvent (as extension base), OptionExercise (as extension base), OptionExpiry (as extension base), | TradeAmendmentContent (as extension base), TradeChangeBase (as extension base), TradeNovationContent (as extension base)

Annotation
Abstract base type for all events.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType abstract="true" name="AbstractEvent"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
eventIdentifier

  Type: | BusinessEventIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.